/*
 * led_multiplex.h
 *
 * Created: 10.08.2013 18:01:17
 *  Author: Nicolas (www.DL1DOW.de)
 */ 


#define N_DIGITS 3 // Anzahl Stellen LED

#define LED_CHAR_H 0x9e
#define LED_CHAR_I 0x82
#define LED_CHAR_L 0xC2
#define LED_CHAR_O 0xD4

#define LED_DDR  DDRD
#define LED_PORT PORTD
#define LED_PIN  PIND

#define GRP_DDR  DDRC
#define GRP_PORT PORTC
#define GRP_PIN  PINC
#define GRP_0    PC2 // von hinten nach vorn
#define GRP_1    PC0
#define GRP_2    PC1


void led_mpx_multiplex (void);
void led_mpx_putnum(int16_t num);
void led_mpx_init(void);
void led_mpx_blink(uint8_t y);
void led_mpx_putany(char * s);
void led_mpx_deinit(void);